- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Defines

- $
- _
- a
- b
- c
- d
- e
- f
- g
- i
- k
- l
- m
- n
- o
- p
- r
- s
- t
- u
- v
- w
- x

### - $ -

- $kStack : start.S

### - _ -

- _current : sched.c, sched.h
- _start : start.S
- _sysCall : syscall.h, sys_call.S
- _sysCall_new : syscall.h, sys_call_new.S
- _usedMath : sched.c, sched.h
- _vmm_pageFault : paging.h, page_fault.S

### - a -

- addl : strcpy.S, sys_call_new.S
- addrPort : dma.c
- al : strcpy.S, timer.S, ap-boot.S
- align : strcpy.S
- ap_spl : ap-boot.S
- ap_trampoline_32 : ap-boot.S
- ap_trampoline_epoint : ap-boot.S
- ap_trampoline_start : smp.c, ap-boot.S
- atkbdSpinLock : atkbd.c
- ax : ap-boot.S

### - b -

- baseClass : pci.c
- bkl : smp.c

### - c -

- clearReg : dma.c
- cmp : ap-boot.S
- conds : ubthread.c
- controlKeys : atkbd.c
- countPort : dma.c
- cpuinfo : smp.c
- cpuInfoLock : smp.c
- cpus : smp.c
- cr0 : ap-boot.S
- cr2 : page_fault.S
- ctls : kern_sysctl.c
- cvsSpinLock : copyvirtualspace.c

### - d -

- dca_spinLock : dirCache.c
- delList : sched.c
- devfs_len : devfs.c
- devfsSpinLock : devfs.c
- devices : device.c
- deviceSpinLock : device.c
- dirList : directory.c
- diskChange : fdc.c
- done : fdc.c

### - e -

- eax : strlen.S, sys_call_new.S, ap-boot.S, start.S
- ebx : ap-boot.S
- edi : start.S
- edx : timer.S
- elfPhType : elf.c
- elfRelType : elf.c
- elfShType : elf.c
- elfType : elf.c
- elfTypeName : elf.c
- emptyDescSpinLock : kmalloc.c
- emptyKernDesc : kmalloc.c
- esp : start.S

### - f -

- fdcSpinLock : fdc.c
- fdcTrack : fdc.c
- fdTable : file.c, file.h
- fdTable_lock : file.c
- fkpSpinLock : paging.c
- freeKernDesc : kmalloc.c
- freePages : vmm_memory.c
- fstypenames : hd.h
- fvpSpinLock : getfreevirtualpage.c

### - g -

- geometry : fdc.c

### - i -

- icIdent : lnc.c
- id : elf.c
- init_tasks : init.h
- init_tasksTotal : init.h
- initSpinLock : smp.c
- interface : pci.c
- invalidSysCall : sys_call_new.S
- irqMask : 8259.c

### - k -

- kernelPageDirectory : paging.c, paging.h
- keyboardMap : atkbd.c
- keyMap : atkbd.c

### - l -

- L1 : strcpy.S
- ledStatus : atkbd.c
- List : kmod.c
- lnc : lnc.c, lnc.h
- loadGDT : main.c
- loadidt : idt.c

### - m -

- mallocSpinLock : kmalloc.c
- maskReg : dma.c
- Master : syscall_new.c, spinlock.h
- mboxList : system.c
- mDev : ne2k.c
- modeReg : dma.c
- month : time.c
- motor : fdc.c
- mounts : thread.c
- mov : ap-boot.S
- movl : page_fault.S, strcpy.S, start.S, strlen.S, timer.S
- mpiSpinLock : system.c
- mutex : ubthread.c

### - n -

- name : pci.c
- ne2k_spinLock : ne2k.c
- ne2kBuffer : ne2k.c
- nextID : sched.c
- nicIdent : lnc.c
- nicPacket : ne2k.h
- numPages : vmm_memory.c, vmm.h

### - o -

- ogprintOff : kprintf.c, kprintf.h

### - p -

- PACK_STRUCT_STRUCT : arp.h
- packed : gdt.h
- packetLength : ne2k.h
- pageFaultSpinLock : pagefault.c
- pagePort : dma.c
- pciClasses : pci.c
- phTypeName : elf.c
- printColor : video.c, video.h
- printOff : kprintf.c, kprintf.h, kprint.h

### - r -

- relTypeName : elf.c
- rmpSpinLock : paging.c

### - s -

- sblock_try : ufs.c
- sched_yield_new : schedyield.S
- schedulerSpinLock : sched.c
- screenCol : ogprintf.cc
- screenRow : ogprintf.cc
- shTypeName : elf.c
- sr0 : fdc.c
- start_next : start.S
- statSize : fdc.c
- status : fdc.c
- stdinBuffer : atkbd.c
- stdinSize : atkbd.c
- strcpy : string.h, strcpy.S
- strlen : string.h, strlen.S
- subClass : pci.c
- sysctl_enabled : kern_sysctl.h
- systemCalls : syscalls.h
- systemCalls_new : syscalls_new.h
- systemVitals : vitals.c, timer.S, vitals.h

### - t -

- taskList : sched.c
- tbaddr : fdc.c
- terms : tty.c
- timeOut : fdc.c
- timerInt : idt.h, timer.S
- totalCalls : syscalls.h
- totalCalls_new : syscalls_new.h
- tty_foreground : tty.c, tty.h
- tty_spinLock : tty.c

### - u -

- ubixFS_Info : thread.c
- ubixGDT : gdt.h
- usedKernDesc : kmalloc.c

### - v -

- videoBuffer : video.c, systemtask.c
- vmmCowSpinLock : vmm_memory.c
- vmmGFPlock : getfreepage.c
- vmmMemoryMap : vmm_memory.c, vmm.h
- vmmSpinLock : vmm_memory.c
- vram : smp.c

### - w -

- windows : sde.h

### - x -

- x08 : ap-boot.S, start.S
- x1 : ap-boot.S
- x10 : sys_call_new.S, ap-boot.S
- x1000 : ap-boot.S
- x18 : start.S
- x20 : timer.S, start.S
- x2000 : start.S
- x30 : ap-boot.S
- x31 : ap-boot.S
- x33 : ap-boot.S
- xC : page_fault.S
- xe9 : ap-boot.S